Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class AgentTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.AgentTypeImpl

All Implemented Interfaces:
  AgentType

    public class AgentTypeImpl

extends java.lang.Object
implements AgentType

Nested Class Summary
`class` | `AgentTypeImpl.Unmarshaller`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_ContactInfo`
`protected SimpleRichTextType` | `_CorporateName`
`protected com.sun.xml.bind.util.ListImpl` | `_CorporateSuffix`
`protected java.lang.String` | `_CustomRole`
`protected NonnullTokenWithSeparatorType` | `_First`
`protected com.sun.xml.bind.util.ListImpl` | `_Middle`
`protected com.sun.xml.bind.util.ListImpl` | `_Prefix`
`protected java.lang.String` | `_Role`
`protected com.sun.xml.bind.util.ListImpl` | `_Suffix`
`protected NonnullTokenWithSeparatorType` | `_Surname`
`static java.lang.Class` | `version`

Constructor Summary
`AgentTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getContactInfo()`
`protected com.sun.xml.bind.util.ListImpl` | `_getCorporateSuffix()`
`protected com.sun.xml.bind.util.ListImpl` | `_getMiddle()`
`protected com.sun.xml.bind.util.ListImpl` | `_getPrefix()`
`protected com.sun.xml.bind.util.ListImpl` | `_getSuffix()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.util.List` | `getContactInfo()` Gets the value of the ContactInfo property.
`SimpleRichTextType` | `getCorporateName()` Gets the value of the corporateName property.
`java.util.List` | `getCorporateSuffix()` Gets the value of the CorporateSuffix property.
`java.lang.String` | `getCustomRole()` Gets the value of the customRole property.
`NonnullTokenWithSeparatorType` | `getFirst()` Gets the value of the first property.
`java.util.List` | `getMiddle()` Gets the value of the Middle property.
`java.util.List` | `getPrefix()` Gets the value of the Prefix property.
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.String` | `getRole()` Gets the value of the role property.
`java.util.List` | `getSuffix()` Gets the value of the Suffix property.
`NonnullTokenWithSeparatorType` | `getSurname()` Gets the value of the surname property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCorporateName(SimpleRichTextType value)` Sets the value of the corporateName property.
`void` | `setCustomRole(java.lang.String value)` Sets the value of the customRole property.
`void` | `setFirst(NonnullTokenWithSeparatorType value)` Sets the value of the first property.
`void` | `setRole(java.lang.String value)` Sets the value of the role property.
`void` | `setSurname(NonnullTokenWithSeparatorType value)` Sets the value of the surname property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _CorporateSuffix

    protected com.sun.xml.bind.util.ListImpl _CorporateSuffix

### _CustomRole

    protected java.lang.String _CustomRole

### _Middle

    protected com.sun.xml.bind.util.ListImpl _Middle

### _Suffix

    protected com.sun.xml.bind.util.ListImpl _Suffix

### _ContactInfo

    protected com.sun.xml.bind.util.ListImpl _ContactInfo

### _Role

    protected java.lang.String _Role

### _Surname

    protected NonnullTokenWithSeparatorType _Surname

### _Prefix

    protected com.sun.xml.bind.util.ListImpl _Prefix

### _First

    protected NonnullTokenWithSeparatorType _First

### _CorporateName

    protected SimpleRichTextType _CorporateName

### version

    public static final java.lang.Class version

Constructor Detail

### AgentTypeImpl

    public AgentTypeImpl()

Method Detail

### _getCorporateSuffix

    protected com.sun.xml.bind.util.ListImpl _getCorporateSuffix()

### getCorporateSuffix

    public java.util.List getCorporateSuffix()

  Description copied from interface: `AgentType`
  Gets the value of the CorporateSuffix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the CorporateSuffix property.

  For example, to add a new item, do as follows:

          getCorporateSuffix().add(newItem);

  Objects of the following type(s) are allowed in the list `SimpleRichTextWithSeparatorType`

  Specified by:
    `getCorporateSuffix` in interface `AgentType`

### getCustomRole

    public java.lang.String getCustomRole()

  Description copied from interface: `AgentType`
  Gets the value of the customRole property.

  Specified by:
    `getCustomRole` in interface `AgentType`
  Returns:
    possible object is `String`

### setCustomRole

    public void setCustomRole(java.lang.String value)

  Description copied from interface: `AgentType`
  Sets the value of the customRole property.

  Specified by:
    `setCustomRole` in interface `AgentType`
  Parameters:
    `value` - allowed object is `String`

### _getMiddle

    protected com.sun.xml.bind.util.ListImpl _getMiddle()

### getMiddle

    public java.util.List getMiddle()

  Description copied from interface: `AgentType`
  Gets the value of the Middle property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Middle property.

  For example, to add a new item, do as follows:

          getMiddle().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithSeparatorType`

  Specified by:
    `getMiddle` in interface `AgentType`

### _getSuffix

    protected com.sun.xml.bind.util.ListImpl _getSuffix()

### getSuffix

    public java.util.List getSuffix()

  Description copied from interface: `AgentType`
  Gets the value of the Suffix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Suffix property.

  For example, to add a new item, do as follows:

          getSuffix().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithSeparatorType`

  Specified by:
    `getSuffix` in interface `AgentType`

### _getContactInfo

    protected com.sun.xml.bind.util.ListImpl _getContactInfo()

### getContactInfo

    public java.util.List getContactInfo()

  Description copied from interface: `AgentType`
  Gets the value of the ContactInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ContactInfo property.

  For example, to add a new item, do as follows:

          getContactInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `ContactInfoType`

  Specified by:
    `getContactInfo` in interface `AgentType`

### getRole

    public java.lang.String getRole()

  Description copied from interface: `AgentType`
  Gets the value of the role property.

  Specified by:
    `getRole` in interface `AgentType`
  Returns:
    possible object is `String`

### setRole

    public void setRole(java.lang.String value)

  Description copied from interface: `AgentType`
  Sets the value of the role property.

  Specified by:
    `setRole` in interface `AgentType`
  Parameters:
    `value` - allowed object is `String`

### getSurname

    public NonnullTokenWithSeparatorType getSurname()

  Description copied from interface: `AgentType`
  Gets the value of the surname property.

  Specified by:
    `getSurname` in interface `AgentType`
  Returns:
    possible object is `NonnullTokenWithSeparatorType`

### setSurname

    public void setSurname(NonnullTokenWithSeparatorType value)

  Description copied from interface: `AgentType`
  Sets the value of the surname property.

  Specified by:
    `setSurname` in interface `AgentType`
  Parameters:
    `value` - allowed object is `NonnullTokenWithSeparatorType`

### _getPrefix

    protected com.sun.xml.bind.util.ListImpl _getPrefix()

### getPrefix

    public java.util.List getPrefix()

  Description copied from interface: `AgentType`
  Gets the value of the Prefix property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Prefix property.

  For example, to add a new item, do as follows:

          getPrefix().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

  Specified by:
    `getPrefix` in interface `AgentType`

### getFirst

    public NonnullTokenWithSeparatorType getFirst()

  Description copied from interface: `AgentType`
  Gets the value of the first property.

  Specified by:
    `getFirst` in interface `AgentType`
  Returns:
    possible object is `NonnullTokenWithSeparatorType`

### setFirst

    public void setFirst(NonnullTokenWithSeparatorType value)

  Description copied from interface: `AgentType`
  Sets the value of the first property.

  Specified by:
    `setFirst` in interface `AgentType`
  Parameters:
    `value` - allowed object is `NonnullTokenWithSeparatorType`

### getCorporateName

    public SimpleRichTextType getCorporateName()

  Description copied from interface: `AgentType`
  Gets the value of the corporateName property.

  Specified by:
    `getCorporateName` in interface `AgentType`
  Returns:
    possible object is `SimpleRichTextType`

### setCorporateName

    public void setCorporateName(SimpleRichTextType value)

  Description copied from interface: `AgentType`
  Sets the value of the corporateName property.

  Specified by:
    `setCorporateName` in interface `AgentType`
  Parameters:
    `value` - allowed object is `SimpleRichTextType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD